SDK-V2.0-1701 patch & build error

cancel
Showing results for 
Search instead for 
Did you mean: 

SDK-V2.0-1701 patch & build error

Jump to solution
1,228 Views
Contributor II

I am using LS1043ARDB.

When I installed and used SDK-2.0-1609, I had no problem. If I reinstall the SDK-2.0-1701 from the beginning and BUILD it, the following error message occurs.

The same thing happens when I try this a couple of times and it is the same when I install it on another PC.

kevin@kevin-Samsung-DeskTop-System:~/QorIQ-SDK-V2.0-20160527-yocto/build_ls1043ardb$ uname -a
Linux kevin-Samsung-DeskTop-System 4.2.0-27-generic #32~14.04.1-Ubuntu SMP Fri Jan 22 15:32:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

1. SDK cache install (QorIQ-SDK-V2.0-AARCH64-CACHE-20160527-yocto)
2. SDK2.0 source install (QorIQ-SDK-V2.0-SOURCE-20160527-yoc)
3. SDK2.0 1701 install
4. ./sources/meta-freescale/scripts/host-prepare.sh
5. . ./fsl-setup-env -m ls1043ardb
6.
kevin@kevin-Samsung-DeskTop-System:~/QorIQ-SDK-V2.0-20160527-yocto/build_ls1043ardb$ bitbake fsl-image-core
Loading cache: 100% |##########################################################################################################| ETA:  00:00:00
Loaded 3428 entries from dependency cache.
NOTE: Resolving any missing task queue dependencies

Build Configuration:
BB_VERSION        = "1.28.0"
BUILD_SYS         = "x86_64-linux"
NATIVELSBSTRING   = "Ubuntu-14.04"
TARGET_SYS        = "aarch64-fsl-linux"
MACHINE           = "ls1043ardb"
DISTRO            = "fsl-qoriq"
DISTRO_VERSION    = "2.0"
TUNE_FEATURES     = "aarch64"
TARGET_FPU        = ""
meta
meta-yocto
meta-yocto-bsp    = "HEAD:9a211a4a2c1bfcb292dc97d8dcac149bca9e3f1b"
meta-oe
meta-multimedia
meta-gnome
meta-networking
meta-perl
meta-python
meta-ruby
meta-filesystems
meta-webserver
meta-xfce         = "HEAD:dc5634968b270dde250690609f0015f881db81f2"
meta-freescale    = "HEAD:2461b02ac6e7d549647ced03b084f14f845906d1"
meta-freescale-internal = "HEAD:4829293f807e35a1111e79763294fc8b98b97810"
meta-freescale-extra = "HEAD:bee911b027e0480b034674d0ddee3fcb06d2e985"
meta-virtualization = "HEAD:042425c1d98bdd7e44a62789bd03b375045266f5"
meta-java         = "HEAD:8b776ac68f9af4596be3824152bcf0bc6b67fa1d"
meta-openstack
meta-openstack-aio-deploy
meta-openstack-compute-deploy
meta-openstack-compute-test-config
meta-openstack-controller-deploy
meta-openstack-controller-test-config
meta-openstack-qemu
meta-openstack-swift-deploy
meta-cloud-services = "HEAD:d8bc0d92d0f741e2ea1e6d3d9bc6b7a091d03cfb"
meta-security     = "HEAD:f9367e71f923fc7d2fb600208e2b97535ea41777"
meta-linaro-toolchain = "HEAD:10b71bed9cfe76baa22c72806ff814cf85c2f73b"
meta-nxp-npi-1701 = "jethro-sdk-v2.0-ga-1701:11975eebce9096a3567d00ba2067a2dbd2ed4d5c"

NOTE: Preparing RunQueue
NOTE: Checking sstate mirror object availability (for 456 objects)
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
ERROR: Function failed: rcw: LIC_FILES_CHKSUM points to an invalid file: /home/kevin/QorIQ-SDK-V2.0-20160527-yocto/build_ls1043ardb/tmp/work/ls1043ardb-fsl-linux/rcw/git-r0/git/EULA
ERROR: Logfile of failure stored in: /home/kevin/QorIQ-SDK-V2.0-20160527-yocto/build_ls1043ardb/tmp/work/ls1043ardb-fsl-linux/rcw/git-r0/temp/log.do_configure.12569
Log data follows:
| DEBUG: Executing python function sysroot_cleansstate
| DEBUG: Python function sysroot_cleansstate finished
| DEBUG: Executing shell function do_configure
| DEBUG: Shell function do_configure finished
| DEBUG: Executing python function do_qa_configure
| NOTE: Checking autotools environment for common misconfiguration
| DEBUG: Python function do_qa_configure finished
| ERROR: Function failed: rcw: LIC_FILES_CHKSUM points to an invalid file: /home/kevin/QorIQ-SDK-V2.0-20160527-yocto/build_ls1043ardb/tmp/work/ls1043ardb-fsl-linux/rcw/git-r0/git/EULA
ERROR: Task 103 (/home/kevin/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-freescale/recipes-bsp/rcw/rcw_git.bb, do_configure) failed with exit code '1'
NOTE: Tasks Summary: Attempted 2053 tasks of which 1796 didn't need to be rerun and 1 failed.
Waiting for 0 running tasks to finish:

Summary: 1 task failed:
  /home/kevin/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-freescale/recipes-bsp/rcw/rcw_git.bb, do_configure
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

Labels (1)
0 Kudos
1 Solution
21 Views
Contributor IV

I had the same issue when building the SDK for the ls1021atwr and I fixed it by copying the EULA from another location:

[ linvm302: /local/ctrommel/SDK2.0-1701/QorIQ-SDK-V2.0-20160527-yocto/build_ls1021atwr ]
bash> cp tmp/work/ls1021atwr-fsl-linux-gnueabi/rcw/git-r0/license-destdir/rcw/generic_Freescale-EULA tmp/work/ls1021atwr-fsl-linux-gnueabi/rcw/git-r0/git/EULA

[ linvm302: /local/ctrommel/SDK2.0-1701/QorIQ-SDK-V2.0-20160527-yocto/build_ls1021atwr ]
bash> bitbake fsl-image-core

View solution in original post

0 Kudos
4 Replies
21 Views
NXP TechSupport
NXP TechSupport

Please apply the following patch to fix problem concerning to using 1703 patch:

http://git.freescale.com/git/cgit.cgi/yocto/meta-nxp-npi.git/commit/?h=jethro-sdk-v2.0-ga-17.03

 

Attached file contains corrected linux-qoriq_4.1.bbappend file. Path for this file is the following:

/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-nxp-npi-1703/recipes-kernel/linux$ ls

linux-qoriq_4.1.bbappend

 

See the following page:

https://community.nxp.com/thread/450184


Have a great day,
Pavel Chubakov

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

21 Views
Contributor II

This issue still exists with the 1703 version (-m ls1046ardb)

After I copied an existing license file to the requested target file:

cp tmp/work/aarch64-fsl-linux/fm-ucode/git-r1/git/Freescale-Binary-EULA tmp/work/aarch64-fsl-linux/fm-ucode/git-r1/git/EULA

The build compainls about md5 mismatch. Then I have to check the logs and update the md5 in the bb-file.

0 Kudos
22 Views
Contributor IV

I had the same issue when building the SDK for the ls1021atwr and I fixed it by copying the EULA from another location:

[ linvm302: /local/ctrommel/SDK2.0-1701/QorIQ-SDK-V2.0-20160527-yocto/build_ls1021atwr ]
bash> cp tmp/work/ls1021atwr-fsl-linux-gnueabi/rcw/git-r0/license-destdir/rcw/generic_Freescale-EULA tmp/work/ls1021atwr-fsl-linux-gnueabi/rcw/git-r0/git/EULA

[ linvm302: /local/ctrommel/SDK2.0-1701/QorIQ-SDK-V2.0-20160527-yocto/build_ls1021atwr ]
bash> bitbake fsl-image-core

View solution in original post

0 Kudos
21 Views
Contributor II

This issue has been resolved as follows.
If you install SDK-V2.0-1701, it seems to delete the EULA. So back up the EULA and install SDK-V2.0-1701, copy it again, and it will build normally.

0 Kudos